aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-mail-spf/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/perl-mail-spf/APKBUILD')
-rw-r--r--testing/perl-mail-spf/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/perl-mail-spf/APKBUILD b/testing/perl-mail-spf/APKBUILD
new file mode 100644
index 0000000000..372398d65f
--- /dev/null
+++ b/testing/perl-mail-spf/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-mail-spf
+_realname=Mail-SPF
+pkgver=2.006
+pkgrel=0
+pkgdesc="An object-oriented implementation of Sender Policy Framework"
+url="http://search.cpan.org/~jmehnle/Mail-SPF-v2.006/"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf/$_realname-v$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-v$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="4da41591b612560627ddbc6026b047a3 Mail-SPF-v2.006.tar.gz"